<?php
/**
* Template Name: Payment $6500
*/

get_header(); ?>

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<style>
	#choosePayment option[value="paypal"] {
		display: none;
	}
	.userDetails label:nth-child(4) {
		display: none;
	}

	.userDetails {
		border: 1px solid gray;
		border-bottom: none;
		padding: 20px 20px 0px;
	}

	.payment {
		border: 1px solid gray;
		border-bottom: none;
		border-top: none;
		padding: 0px 20px;
	}

	.form-style-2 {
		display: none;
		padding: 0;
	}

	.form-style-2 label {
		margin: 0;
		line-height: normal;
	}

	.form-style-2 label > span {
	    width: 100%;
	    font-weight: bold;
	    float: left;
	    padding: 0;
	    line-height: 24px;
	}

	.form-style-2 input.input-field {
	    width: 100%;
	    height: auto;
	    line-height: normal;
	}

	select[name=_auth_card_exp_month], select[name=_auth_card_exp_year] {
		width: 49%;
	}

	#paymentSubmit .form-style-2-heading {
		display: none;
	}

	.navy-bolded {
		color: navy;
		font-weight: bold;
	}

	#security-header {
		padding: 20px;
	    color: white;
	    background: gray;
	    text-align: center;
	}

	#security-header i {
		font-size: 24px;
		vertical-align: bottom;
		margin-right: 10px;
	}

	.failure {
		box-sizing: border-box;
		height: auto;
	}
	
	input[type="reset"] {
	    display: none;
	}

	input[type="submit"] {
		display: block;
		margin: 14px auto 0;
	}

	#payment-ammount {
		padding: 20px;
	    color: white;
	    background: navy;
	    text-align: center;
	}

	label[for="choosePayment"] + label, label[for="choosePayment"] span, label[for="choosePayment"] select {
		display: none;
	}
	
	label[for="choosePayment"] {
		font-weight: bold;
	}
</style>

<div class="motopress-wrapper content-holder clearfix">
	<div class="container">
		<div class="row">
			<div class="<?php echo cherry_get_layout_class( 'full_width_content' ); ?>" data-motopress-wrapper-file="page-fullwidth.php" data-motopress-wrapper-type="content">
				<div class="row">
					<div class="<?php echo cherry_get_layout_class( 'full_width_content' ); ?>" data-motopress-type="static" data-motopress-static-file="static/static-title.php">
						<?php get_template_part("static/static-title"); ?>
					</div>
				</div>
				<div id="content" class="row" style="max-width: 500px; margin: auto; padding-top: 40px;">
					<div class="navy-bolded">Payment of Roadmap&trade; licensing fees</div>
					<div style="color: black">
						<p>I authorize PRS, LCC to charge <span id="payment_ammount" class="navy-bolded">$5,500</span> to my credit card provided herein. I agree that I will pay for this purchase in accordance with the issuing bank cardholder agreement.</p>
						<p>I certify that all information is complete and accurate.</p>
					</div>
					<div id="security-header"><i class="fa fa-lock" aria-hidden="true"></i> This is a secure128-bit SSL encrypted payment.  You're safe.</div>
					<div class="" data-motopress-type="loop" data-motopress-loop-file="loop/loop-page.php">
						<?php get_template_part("loop/loop-page"); ?>
					</div>
					<div style="text-align: center">*Do no refresh the page to avoid duplicate transactions</div>
				</div>
			</div>
		</div>
	</div>
</div>

<script>
	jQuery(document).ready( function() {
		jQuery('label[for="choosePayment"]').html('<input type="radio" style="vertical-align: baseline;" checked> Credit Card <img src="/wp-content/themes/theme51771/images/paymentprocessing.png" style="height: 50px;">');
		jQuery('#amount').val('6500');
		jQuery('.form-style-2 input[type=submit]').before('<div id="payment-ammount">You will be charged $6,500</div>');
		jQuery('.form-style-2 input[type=submit]').attr('value', 'Complete Transaction');
		jQuery('#email').val('info@roadmappartners.net');
		jQuery('#email').parent().hide();
		jQuery('.form-style-2').show();
	});
</script>

<?php get_footer(); ?>
